package com.bzd.system.service.kc.kn;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 盘点任务信息表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcKnPdrwInventorytaskService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcKnPdrwInventorytask(PageData pd)throws Exception {
        return daoSupport.update("SKcKnPdrwInventorytaskMapper.addSKcKnPdrwInventorytask", pd);
    }

    public List<PageData> findSKcKnPdrwInventorytaskList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcKnPdrwInventorytaskMapper.selectSKcKnPdrwInventorytaskList", pd);
    }

    public Integer SKcKnPdrwInventorytaskRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcKnPdrwInventorytaskMapper.SKcKnPdrwInventorytaskRemove", pd);
    }


    public Integer updateSKcKnPdrwInventorytask(PageData pd)throws Exception {
        return daoSupport.update("SKcKnPdrwInventorytaskMapper.updateSKcKnPdrwInventorytask", pd);
    }

}
